Contact: 	HOBBYHIMMEL 
eMail: 	info@hobbyhimmel.de
Thingiverse: 	https://www.thingiverse.com/thing:4562769

Summary:
This adapter is screwed on a DN32 hose and ends with the male part of our adapter system.
